{% extends 'frame.html.twig' %}

{% block additional_headers %}
    <script src="{{ asset('bundles/app/js/list_toggle.js') }}"></script>
{% endblock %}

{% block body %}

    {% for job, users in usersByJobs %}
        <div class="list_toggle" data-target="list-{{ job }}"><b>{{ job }}</b></div>
        <div id="list-{{ job }}" class="table_wrapper list_toggle_target">
            <div class="table">
                <div class="table_header general_list_row table_row">
                    <div class="general_list_cell table_cell">{{ 'tableHeader.username' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'tableHeader.name' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'tableHeader.surname' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'tableHeader.email' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'tableHeader.actions' | trans }}</div>
                </div>

                {% for user in users %}
                    <div class="general_list_row table_row">
                        <div class="general_list_cell table_cell">{{ user.username }}</div>
                        <div class="general_list_cell table_cell">{{ user.name }}</div>
                        <div class="general_list_cell table_cell">{{ user.surname }}</div>
                        <div class="general_list_cell table_cell">{{ user.email }}</div>
                        <div class="general_list_cell table_cell">
                            <a href="{{ path('supervisor_assign_user_jobs', {'id': user.id}) }}">
                                {% image '@AppBundle/Resources/public/img/icons/modify.svg' output='/img/icons/modify.svg' %}
                                <img class="icon" src="{{ asset_url }}" alt="Modify">
                                {% endimage %}
                            </a>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>

    {% endfor %}

{% endblock %}
